Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044958
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. PlatformminorN/A2020-09-01 17:432020-09-16 11:10
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in VersionPR20Q4
StatusclosedFix in branchFixed in SCM revisiond90d6027edfc
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0044958: Update Jackson libraries

DescriptionUpdate Jackson libraries from version 2.9.4 to the latest version 2.11.2
Steps To ReproduceIn description
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0037961 closedcaristu Openbravo ERP Upgrade Jackson libraries 
depends on backport 0045066PR20Q3.1 closedcaristu Openbravo ERP Update Jackson libraries 
depends on backport 0045067PR20Q2.2 closedcaristu Openbravo ERP Update Jackson libraries 
related to defect 0044981 newplatform Modules Update jackson libraries to have the same version as core 
blocks defect 0044973 closedplatform Openbravo ERP Stack Update for PR20Q4 release 

-  Notes
(0122532)
hgbot (developer)
2020-09-01 18:14

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/138 [^]
(0122706)
hgbot (developer)
2020-09-07 07:19

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: d90d6027edfc10d195656bf464584aca3d389fab
Author: Carlos Aristu <carlos.aristu@openbravo.com>
Date: 2020-09-07T05:11:45+00:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/d90d6027edfc10d195656bf464584aca3d389fab [^]

fixes ISSUE-44958: update jackson libraries

  Update jackson libraries from version 2.9.4 to 2.11.2

---
A lib/runtime/jackson-annotations-2.11.2.jar
A lib/runtime/jackson-core-2.11.2.jar
A lib/runtime/jackson-databind-2.11.2.jar
M legal/Licensing.txt
R lib/runtime/jackson-annotations-2.9.4.jar
R lib/runtime/jackson-core-2.9.4.jar
R lib/runtime/jackson-databind-2.9.4.jar
---
(0122742)
hgbot (developer)
2020-09-07 11:59

Repository: https://gitlab.com/openbravo/tools/platform/dependencies [^]
Changeset: 15b9836f853fe1ab6101d43352ff8aba630badff
Author: Carlos Aristu <carlos.aristu@openbravo.com>
Date: 2020-09-07T11:59:14+02:00
URL: https://gitlab.com/openbravo/tools/platform/dependencies/-/commit/15b9836f853fe1ab6101d43352ff8aba630badff [^]

ISSUE-44958: update jackson to 2.11.2

---
M build.gradle
---
(0123100)
caristu (developer)
2020-09-16 11:10

Reopened to schedule backports

- Issue History
Date Modified Username Field Change
2020-09-01 17:43 caristu New Issue
2020-09-01 17:43 caristu Assigned To => caristu
2020-09-01 17:43 caristu Modules => Core
2020-09-01 17:43 caristu Triggers an Emergency Pack => No
2020-09-01 17:43 caristu Issue generated from 0037961
2020-09-01 17:43 caristu Relationship added related to 0037961
2020-09-01 17:44 caristu Summary Upgrade Jackson libraries => Update Jackson libraries
2020-09-01 17:44 caristu Description Updated View Revisions
2020-09-01 18:14 hgbot Note Added: 0122532
2020-09-02 14:50 shuehner Issue Monitored: shuehner
2020-09-03 09:53 caristu Relationship added blocks 0044973
2020-09-03 17:28 cberner Relationship added related to 0044981
2020-09-07 07:19 hgbot Resolution open => fixed
2020-09-07 07:19 hgbot Status new => resolved
2020-09-07 07:19 hgbot Fixed in Version => PR20Q4
2020-09-07 07:19 hgbot Note Added: 0122706
2020-09-07 07:22 alostale Review Assigned To => alostale
2020-09-07 07:22 alostale Status resolved => closed
2020-09-07 11:59 hgbot Note Added: 0122742
2020-09-16 11:10 caristu Note Added: 0123100
2020-09-16 11:10 caristu Status closed => new
2020-09-16 11:10 caristu Resolution fixed => open
2020-09-16 11:10 caristu Fixed in Version PR20Q4 =>
2020-09-16 11:10 caristu Status new => scheduled
2020-09-16 11:10 caristu Status scheduled => resolved
2020-09-16 11:10 caristu Fixed in Version => PR20Q4
2020-09-16 11:10 caristu Fixed in SCM revision => d90d6027edfc10d195656bf464584aca3d389fab
2020-09-16 11:10 caristu Resolution open => fixed
2020-09-16 11:10 caristu Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker